from Products.PluggableAuthService.PluggableAuthService import \
    registerMultiPlugin
from dm.zope.saml2.spsso.plugin import IntegratedSimpleSpssoPlugin
from dm.zope.saml2.permission import manage_saml


class CnmSpssoPlugin(IntegratedSimpleSpssoPlugin):
    meta_type = "Saml CNM integrated simple spsso plugin"

    def format_user_id(self, info):
        return "%(nameid)s" % info


def initialize(context):
    from dm.zope.schema.z2.constructor import add_form_factory, \
        SchemaConfiguredZmiAddForm

    registerMultiPlugin(CnmSpssoPlugin.meta_type)

    context.registerClass(
        CnmSpssoPlugin,
        constructors=(add_form_factory(CnmSpssoPlugin, form_class=SchemaConfiguredZmiAddForm),),
        permission=manage_saml,
        visibility=None,
    )
